# CancelInstanceTrafficPackageDowngrade

## 1. API Description

The API is used to cancel traffic package downgrade order.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">The traffic package of instance has been downgraded and an order exists.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                                                                                                            |
| -------------- | -------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| instanceId     | Yes      | String | <p>Instance ID.</p><p>To obtain the instance ID, you can call <a href="describeinstances"><code>DescribeInstances</code></a> and look for <code>instanceId</code> in the response.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                              |
| -------------- | ------ | -------------------------------------------------------------------------------------------------------- |
| requestId      | String | The unique request ID, which is returned for each request. RequestId is required for locating a problem. |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Cancel traffic package downgrade order**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CancelInstanceTrafficPackageDowngrade
<Common Request Params>

Request：
{
  "instanceId": "instanceId"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {  
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).​

| HTTP Status Code | Error Code                                              | Description                                                                                                                                 |
| ---------------- | ------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| 404              | INVALID\_INSTANCE\_NOT\_FOUND                           | Instance does not exist.                                                                                                                    |
| 403              | OPERATION\_DENIED\_INTERNET\_CHARGE\_TYPE\_NOT\_SUPPORT | [`InternetChargeType`](https://docs.console.zenlayer.com/api-reference/compute/datastructure#internetchargetype) is not `ByTrafficPackage`. |
| 404              | OPERATION\_DENIED\_DOWNGRADE\_NOT\_EXIST                | No traffic package downgrade order exists.                                                                                                  |
